/*
 * Error code table for Unix System V Release 3.2.2.
 */

struct {
        int   errNum;
        char *errCode;
    } ErrorCodeTab [] = {
    EPERM,             "EPERM",
    ENOENT,            "ENOENT",
    ESRCH,             "ESRCH",
    EINTR,             "EINTR",
    EIO,               "EIO",
    ENXIO,             "ENXIO",
    E2BIG,             "E2BIG",
    ENOEXEC,           "ENOEXEC",
    EBADF,             "EBADF",
    ECHILD,            "ECHILD",
    EAGAIN,            "EAGAIN",
    ENOMEM,            "ENOMEM",
    EACCES,            "EACCES",
    EFAULT,            "EFAULT",
    ENOTBLK,           "ENOTBLK",
    EBUSY,             "EBUSY",
    EEXIST,            "EEXIST",
    EXDEV,             "EXDEV",
    ENODEV,            "ENODEV",
    ENOTDIR,           "ENOTDIR",
    EISDIR,            "EISDIR",
    EINVAL,            "EINVAL",
    ENFILE,            "ENFILE",
    EMFILE,            "EMFILE",
    ENOTTY,            "ENOTTY",
    ETXTBSY,           "ETXTBSY",
    EFBIG,             "EFBIG",
    ENOSPC,            "ENOSPC",
    ESPIPE,            "ESPIPE",
    EROFS,             "EROFS",
    EMLINK,            "EMLINK",
    EPIPE,             "EPIPE",
    EDOM,              "EDOM",
    ERANGE,            "ERANGE",
    ENOMSG,            "ENOMSG",
    EIDRM,             "EIDRM",
    ECHRNG,            "ECHRNG",
    EL2NSYNC,          "EL2NSYNC",
    EL3HLT,            "EL3HLT",
    EL3RST,            "EL3RST",
    ELNRNG,            "ELNRNG",
    EUNATCH,           "EUNATCH",
    ENOCSI,            "ENOCSI",
    EL2HLT,            "EL2HLT",
    EDEADLK,           "EDEADLK",
    ENOLCK,            "ENOLCK",
    EBADE,             "EBADE",
    EBADR,             "EBADR",
    EXFULL,            "EXFULL",
    ENOANO,            "ENOANO",
    EBADRQC,           "EBADRQC",
    EBADSLT,           "EBADSLT",
    EDEADLOCK,         "EDEADLOCK",
    EBFONT,            "EBFONT",
    ENOSTR,            "ENOSTR",
    ENODATA,           "ENODATA",
    ETIME,             "ETIME",
    ENOSR,             "ENOSR",
    ENONET,            "ENONET",
    ENOPKG,            "ENOPKG",
    EREMOTE,           "EREMOTE",
    ENOLINK,           "ENOLINK",
    EADV,              "EADV",
    ESRMNT,            "ESRMNT",
    ECOMM,             "ECOMM",
    EPROTO,            "EPROTO",
    EMULTIHOP,         "EMULTIHOP",
    ELBIN,             "ELBIN",
    EDOTDOT,           "EDOTDOT",
    EBADMSG,           "EBADMSG",
    ENAMETOOLONG,      "ENAMETOOLONG",
    ENOTUNIQ,          "ENOTUNIQ",
    EBADFD,            "EBADFD",
    EREMCHG,           "EREMCHG",
    ELIBACC,           "ELIBACC",
    ELIBBAD,           "ELIBBAD",
    ELIBSCN,           "ELIBSCN",
    ELIBMAX,           "ELIBMAX",
    ELIBEXEC,          "ELIBEXEC",
    ENOSYS,            "ENOSYS",
    EWOULDBLOCK,       "EWOULDBLOCK",
    EINPROGRESS,       "EINPROGRESS",
    EALREADY,          "EALREADY",
    ENOTSOCK,          "ENOTSOCK",
    EDESTADDRREQ,      "EDESTADDRREQ",
    EMSGSIZE,          "EMSGSIZE",
    EPROTOTYPE,        "EPROTOTYPE",
    EPROTONOSUPPORT,   "EPROTONOSUPPORT",
    ESOCKTNOSUPPORT,   "ESOCKTNOSUPPORT",
    EOPNOTSUPP,        "EOPNOTSUPP",
    EPFNOSUPPORT,      "EPFNOSUPPORT",
    EAFNOSUPPORT,      "EAFNOSUPPORT",
    EADDRINUSE,        "EADDRINUSE",
    EADDRNOTAVAIL,     "EADDRNOTAVAIL",
    ENETDOWN,          "ENETDOWN",
    ENETUNREACH,       "ENETUNREACH",
    ENETRESET,         "ENETRESET",
    ECONNABORTED,      "ECONNABORTED",
    ECONNRESET,        "ECONNRESET",
    ENOBUFS,           "ENOBUFS",
    EISCONN,           "EISCONN",
    ENOTCONN,          "ENOTCONN",
    ESHUTDOWN,         "ESHUTDOWN",
    ETOOMANYREFS,      "ETOOMANYREFS",
    ETIMEDOUT,         "ETIMEDOUT",
    ECONNREFUSED,      "ECONNREFUSED",
    EHOSTDOWN,         "EHOSTDOWN",
    EHOSTUNREACH,      "EHOSTUNREACH",
    ENOPROTOOPT,       "ENOPROTOOPT",
    EUCLEAN,           "EUCLEAN",
    ENOTNAM,           "ENOTNAM",
    ENAVAIL,           "ENAVAIL",
    EISNAM,            "EISNAM",
    EREMOTEIO,         "EREMOTEIO",
    EINIT,             "EINIT",
    EREMDEV,           "EREMDEV",
    ENOTEMPTY,         "ENOTEMPTY",
    -1,                "UnknownError"};
