.TH OSCMDS TCL "" "TCL - Tool Command Language"
.ad b
.SH NAME
cd, pwd, sleep - TCL General Operating System Access Commands.
.SH SYNOPSIS
.B cd [\fIdirectory\fR]
.br
.B pwd
.br
.B sleep \fIseconds\fR
.br
.SH DESCRIPTION
.PP
'@help: extend/cd
.B cd [\fIdirectory\fR]
.br
Change current directory to \fIdirectory\fR. If no directory is specified,
change current directory to the home directory.
'@endhelp
.PP
'@help: extend/pwd
.B pwd
.br
Return the working (current) directory name.
'@endhelp
.PP
'@help: extend/sleep
.B sleep \fIseconds\fR
Sleep the TCL process for \fIseconds\fR.
'@endhelp
.SH INITIALIZATION
To initialize all of the general OS TCL access commands in a custom TCL
environment call:
.sp
.nf
.ft CW
    void TCL_InitOsCmds (interp)
           Tcl_Interp *interp;
.ft R
.fi
