

proc car {list} {
	index $list 0
}

proc cdr {list} {
	range $list 1 end
}

proc cons {a b} {
	concat $a $b
}

set nil ""

proc null {a} {
	!length $a
}

proc cond {condlist} {
	foreach condition $condlist {
		if {[length $condition] != 2} {
			error "bad # elements in cond condition \"$condition\""
		} 
		if [uplevel 1 "expr [index $condition 0]"] {
			uplevel 1 [index $condition 1]
			return
		}
	}
}

proc fac {n} {
	cond {{{$n==0} {return 1}} \
	      {{1} {return [expr {$n * [fac [expr {$n - 1}]]}]}} \
	}
}
